#!/bin/bash

set -e

echo "**** remove old versions ****"
sudo apt-get remove docker docker.io containerd runc;

echo "**** download gpg key ****"
mkdir -p /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg;

echo "**** add repo ****"
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null;

echo "**** install ****"
sudo apt-get update;
sudo apt-get install -y docker-ce docker-ce-cli containerd.io docker-compose-plugin;